////////////////////////////////////////////////////////////////////
//
//		CLASS : FileNmDialog
//		====================	
// for specifying file name of special input/output file modules.
// using tf instance variable can get the file name.
//     Last_Modified: On 8/5/98.
//
////////////////////////////////////////////////////////////////////

import java.awt.*;
import java.applet.*;
import java.io.*;
import java.net.*;
import java.util.*;

class FileNmDialog extends Dialog {

	TextField tf;
	boolean cancel = true;
	private Frame pp;

	public FileNmDialog(Frame parent, String title) {

		super(parent, "File Name Dialog", true);
		pp  = parent;
		setLayout(new BorderLayout());
		add("North", new Label(title));
		Panel p = new Panel();
		p.setLayout(new GridLayout(2, 1));
		p.add(new Label("   "));
		tf = new TextField(15);
		p.add(tf);
//		p.add(new Label("   "));
		add("Center", p);
		p = new Panel();
		p.add(new Button(" OK "));
		p.add(new Button("CANCEL"));
		add("South", p);
		setResizable(true);
		resize(200, 180);
		show(true);
	}

	public boolean action(Event evt, Object obj) {
		if (" OK ".equals(obj)) {
			if (tf.getText().equals("")) {
				new MessageDia(pp, " You must specify a file name!", false);
				System.out.println("\n you must input a file name.");
			}
			else {
				cancel = false;
				dispose();
				return true;
			}
		}

		if ("CANCEL".equals(obj)) {
			cancel = true;
			dispose();
			return true;
		}
		return false;
	}
}

